2020-08-05 08:20 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002748NetSurfLayoutpublic2020-05-27 09:01
ReporterEwen Pring 
Assigned ToMichael Drake 
SeverityblockReproducibilityalways 
StatusclosedResolutionfixed 
PlatformTitaniumOSRISC OSOS Version5.24
Product Version3.9 
Target Version3.10Fixed in Version3.10 
Summary0002748: figure/figcaption element display
DescriptionBroken (nested) rendering related to use of figure and figcaption elements (as found in HTML5) instead of div elements (HTML4).

See steps to reproduce.

HTML4 works as I expect, HTML5 makes a mess in NetSurf; the display nests the elements in a cascade. It's almost like NetSurf fails to recognise the closing figcaption tags.

The only structural difference is that the HTML4 one uses all DIVs, whereas the HTML5 one uses figure and figcaption elements.

Steps To ReproduceSee 2 simplified test pages:

https://timebus.co.uk/riscos/webtest/using-html4.htm
https://timebus.co.uk/riscos/webtest/using-html5.htm

There are 3 images with captions, separated by 2 horizontal rules for clarity. The idea (of using inline-block CSS property) is the captions display to the right of the images if your browser window is wide enough, otherwise underneath.
Additional InformationThe figure is bordered red, the figcaption is bordered blue.

The HTML4 page has no errors at https://validator.w3.org/
The HTML5 page has no errors at https://validator.w3.org/nu/

Both pages use the same CSS file, which is as follows:

.figure {
     margin-bottom: 20px;
     border-color: red;
     border-style: solid;
}

.figcaption {
     display: inline-block;
     border-color: blue;
     border-style: dotted;

}

.img {
     width: 100px;
     display: inline-block;
}
TagsNo tags attached.
Fixed in CI build #5111
Reported in CI build #5057
URL of problem pagehttps://timebus.co.uk/riscos/webtest/using-html5.htm
Attached Files

-Relationships
+Relationships

-Notes
Michael Drake

~0002194

Michael Drake (administrator)

Thanks for the bug report and especially the test cases.

It should be fixed in the next build.
Vincent Sanders

~0002218

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2020-04-14 19:13 Ewen Pring New Issue
2020-05-21 21:49 Michael Drake Severity major => block
2020-05-21 21:49 Michael Drake Status new => confirmed
2020-05-22 09:55 Michael Drake Assigned To => Michael Drake
2020-05-22 09:55 Michael Drake Status confirmed => assigned
2020-05-22 12:13 Michael Drake Status assigned => resolved
2020-05-22 12:13 Michael Drake Resolution open => fixed
2020-05-22 12:13 Michael Drake Fixed in Version => 3.10
2020-05-22 12:13 Michael Drake Target Version => 3.10
2020-05-22 12:13 Michael Drake Fixed in CI build # => 5111
2020-05-22 12:13 Michael Drake Note Added: 0002194
2020-05-27 09:01 Vincent Sanders Status resolved => closed
2020-05-27 09:01 Vincent Sanders Note Added: 0002218
+Issue History